Page 1 of 2

Lubuntu 14.04

PostPosted: Sun May 04, 2014 3:19 pm
by General_Faliure
I just updated my cab's os to Lubuntu 14.04.
It's long term support, so i can leave it at that for a while.
Only did some quick testing, most things seem to work, including Mahcade.
only laserdisk games (daphne) didn't start because Daphne couldn't find some of it's libraries.
I'll look into it tomorrow.
It's a good thing Mahcade is becoming the default, Wahcade is way too old, Can't it be put on the front page?

Re: Lubuntu 14.04

PostPosted: Mon May 05, 2014 3:27 am
by sairuk
Good to know, so far as getting something on the main screen. That is up to balki, he requested a merge/code review sometime ago on launchpad for mahcade but i haven't looked into what that involves still

Re: Lubuntu 14.04

PostPosted: Wed May 07, 2014 1:17 pm
by General_Faliure
Now Daphne is also playing along.
It took some effort tough.
Daphne requires ia32-libs, but (L)Ubuntu 14.04 doesn't provide them anymore.
I had to add: deb http://archive.ubuntu.com/ubuntu/ raring main restricted universe multiverse to Synaptic so i could install ia-32 libs.
I have my laserdisc games again :P

Re: Lubuntu 14.04

PostPosted: Sat Jan 10, 2015 10:52 pm
by GHO5TLIKE5WAYZE
General_Faliure,

I am having trouble installing and running Daphne. The FAQ and installation guide on daphne's website yields little. I too am using Lubuntu 14.04. What dependencies do I need to install for Daphne (from the terminal) and could you please give a bit more detail on installing "ia32-libs". You seem to be the Daphne/Lubuntu expert, as far as the internet goes. :) Thanks

Re: Lubuntu 14.04

PostPosted: Sun Jan 11, 2015 2:04 pm
by General_Faliure
It's been a while, i have to retry it myself on a Lubuntu system.
I have just installed Daphne on Linux mint Rebecca, and it worked right away.
Mint Rebecca provides ia32-libs by default on a 64 bit install, so you might also try using Linux mint as backend.

Re: Lubuntu 14.04

PostPosted: Fri Jan 16, 2015 11:36 am
by General_Faliure
Hello.

I have been looking into Lubuntu + daphne again; here's how it's done:
Daphne needs ia32 libs, i tried several ways, it doesn't run otherwise.
You have to add the sources for Ubuntu Raring, install ia32 libs.
Enter (copy-paste) these commands in the following order;

Code: Select all
sudo -i
cd /etc/apt/sources.list.d
echo "deb http://old-releases.ubuntu.com/ubuntu/ raring main restricted universe multiverse" >ia32-libs-raring.list
apt-get update
apt-get install ia32-libs


Now Daphne should run.
After that, remove the Ubuntu Raring sources for safety, and do sudo apt-get update.

Re: Lubuntu 14.04

PostPosted: Fri Jan 16, 2015 7:47 pm
by GHO5TLIKE5WAYZE
Awesome. Ill give this a shot tonight if I can ever leave work haha

Re: Lubuntu 14.04

PostPosted: Sat Jan 17, 2015 4:04 am
by GHO5TLIKE5WAYZE
maybe im missing something...I installed ia32-libs the way you instructed, and it worked, so thank you. Then, I ran
Code: Select all
tar xzf daphne-1.0beta-linux.tar.gz

but after this, nothing. I see the directory "daphne" in my /home, but cant get any further. I tried running
Code: Select all
sudo bash daphneloader.sh

but that doesnt do anything. None of the executables inside of the Daphne directory respond. I assume I'm just missing some dumb little step that is tripping me up. Maybe something inside of the daphneloader script that I need to adjust?

Re: Lubuntu 14.04

PostPosted: Sat Jan 17, 2015 9:05 am
by General_Faliure
Simply ./daphneloader called from a shell inside the Daphne directory should start the program.
Of course you also need the game dvd's, or images; (Space ace, Dragons Lair).

Re: Lubuntu 14.04

PostPosted: Sat Jan 17, 2015 8:36 pm
by GHO5TLIKE5WAYZE
:roll: like I said...something simple. haha Thanks again for your help. You are the man!

Re: Lubuntu 14.04

PostPosted: Mon Feb 16, 2015 11:28 pm
by eldiau
General_Faliure wrote:Hello.

I have been looking into Lubuntu + daphne again; here's how it's done:
Daphne needs ia32 libs, i tried several ways, it doesn't run otherwise.
You have to add the sources for Ubuntu Raring, install ia32 libs.
Enter (copy-paste) these commands in the following order;

Code: Select all
sudo -i
cd /etc/apt/sources.list.d
echo "deb http://old-releases.ubuntu.com/ubuntu/ raring main restricted universe multiverse" >ia32-libs-raring.list
apt-get update
apt-get install ia32-libs



Ubuntu 14.04 uses multiarch now, you can install i386 libraries individually instead of the massive ia32-libs package.
For daphne should be enough to install:
Code: Select all
sudo apt-get install libsdl1.2debian:i386 libgl1-mesa-glx:i386 libxmu6:i386 libxi6:i386 libglu1-mesa:i386

and you dont' have to mess with repo from older releases that will probably give you dependencies problems on updates!

Just my 2c!

Re: Lubuntu 14.04

PostPosted: Wed Feb 18, 2015 1:36 pm
by General_Faliure
You are probably right, but i didn't know what libraries Daphne needed.
Installing all the 32 bit libs is the easy way.
I removed the repo after installing the 32bit libs.

Re: Lubuntu 14.04

PostPosted: Mon Sep 28, 2015 12:42 pm
by General_Faliure
Hello.

I am in the process of reinstalling my cab on an SSD.
I switched to Linux Mint Xfce now, mainly because it's getting increasingly difficult to set up Daphne, the laserdisk emulator on (L)ubuntu 64 bit.
It always required me to install the ia32 libs, otherwise Daphne wouldn't run.
I recently found out Daphne runs without a hitch on Linux Mint 64 bit, so i'l stick with that for now.

Re: Lubuntu 14.04

PostPosted: Mon Sep 28, 2015 5:23 pm
by Zombie
My cab still runs Rosa 2012.1, I need to upgrade it to Rosa 2014.1 but I have not yet done so. If I could get a better Motherboard, thanks to RetroArch 1.2, snd Mednafen 0.9.38.6, I can do viable Nintendo DS, Sega SG-1000, and Panasonic 3DO. But my Motherboard is too old.

Re: Lubuntu 14.04

PostPosted: Tue Sep 29, 2015 11:33 am
by General_Faliure
Still haven't played with retroarch yet, i'll have to give it a try.